Subject: Re: [PATCH 1/2] Teach Git how to parse standard power of 2 suffixes.

From: Shawn Pearce <[email-masked]>
Date: Sat, 30 Dec 2006 22:01:19 -0500

Junio C Hamano <[email-masked]> wrote:
> Shawn Pearce <[email-masked]> writes:
> 
> >> Also can we fix the definition of core.packedGitWindowSize to be
> >> independent of the page size on a particular platform?
> >
> > What do you mean?  mmap() only works in page units, and because of
> > the way the code is built the minimum size we can allow is 2 pages.
> >
> > Asking mmap() to map less than a full page in the last page of
> > a given window is silly, as that is just going to waste virtual
> > address space or cause pain for the OS, depending on how that
> > gets implemented.
> 
> Ah, I misread the code.  I thought the value is integer that
> states number of pages, but you are only rounding it down and
> enforcing two-page minimum.

So in your test case where you thought you entered 20 pages, what you
really had was just 2 pages.  We rounded 20 bytes down to 0 pages,
then forced that to a minimum of 2 pages.  :-)

-- 
Shawn.